<?php
$ds = DIRECTORY_SEPARATOR;
require_once __DIR__ . "/../vendor/composer/ClassLoader.php";

$appPath       = realpath(__DIR__ . $ds . ".." . $ds . "src");
$tekEntiPath   = realpath(__DIR__ . $ds . ".." . $ds . "vendor" . $ds . "teknisa" . $ds . "entities" . $ds . "src");
$generatedPath = realpath(__DIR__ . $ds . ".." . $ds . "gen");
$aclPath       = realpath(__DIR__ . $ds . '..' . $ds . ".." . $ds . "modules" . $ds . "teknisa" . $ds . "acl" . $ds . "src");
$libPath       = realpath(__DIR__ . $ds . '..' . $ds . "vendor" . $ds . "teknisa" . $ds . "libraries" . $ds . "src");

$classLoader = new \Composer\Autoload\ClassLoader();
$classLoader->add('Controller', $appPath);
$classLoader->add('Exception', $appPath);
$classLoader->add('Service', $appPath);
$classLoader->add('Util', $appPath);
$classLoader->add('Generated', $generatedPath);
$classLoader->add('Teknisa', $tekEntiPath);
$classLoader->add('Teknisa', $aclPath);
$classLoader->add('Teknisa', $libPath);
$classLoader->register(true);
